[POST] ~/b2b/customer

Register a new B2B customer with the provided customer data.

Request Information

URI Parameters

None.

Body Parameters

The B2B customer data.

An instance of: B2BCustomer
NameDescriptionType
Company

Gets or sets the company.

string

CompanyNumber

Gets or sets the company number.

string

ContactPerson

Gets or sets the contact person.

string

CustomerId

Gets or sets the identifier of the customer.

integer

Email

Gets or sets the email.

string

Fax

Gets or sets the fax.

string

KuerzelId

Gets or sets the identifier of the kuerzel.

integer

Login

Gets or sets the login.

string

Password

Gets or sets the password.

string

Phone

Gets or sets the phone.

string

Street

Gets or sets the street.

string

Town

Gets or sets the town.

string

ZipCode

Gets or sets the zip code.

string

Request Formats

application/json, text/json

Sample:
{
  "company": "sample string 1",
  "companyNumber": "sample string 2",
  "contactPerson": "sample string 3",
  "customerId": 1,
  "email": "sample string 4",
  "fax": "sample string 5",
  "kuerzelId": 6,
  "login": "sample string 7",
  "password": "sample string 8",
  "phone": "sample string 9",
  "street": "sample string 10",
  "town": "sample string 11",
  "zipCode": "sample string 12"
}

Response Information

Resource Description